# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LoadWriterPLY Class Reference

The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::LoadWriterPLY:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| LoadWriterPLY ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.

## Detailed Description

The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files.

## Constructor & Destructor Documentation

vl::LoadWriterPLY::LoadWriterPLY | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LoadWriterPLY::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterPLY::loadResource | ( | const String & | path | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterPLY::loadResource | ( | VirtualFile * | file | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterPLY::writeResource | ( | const String & | ,
|  | ResourceDatabase * |  |
| ) |  |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterPLY::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |  |
| ) |  |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:14 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.